

<?php $__env->startSection('title'); ?>
    Inicio
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="bg-neutral-200 w-full h-full py-6 md:px-32 sm:px-10">
        <div class="md:p-4 p-2 py-4 bg-neutral-50 border shadow-xl">
            <h2 class="text-2xl font-semibold w-full border-b-2 pb-1 mb-4 border-neutral-200">Deportes</h2>

            <ul class="flex flex-wrap md:gap-4 gap-10">
                <?php $__currentLoopData = $group_deportes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group_deporte): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li class="sm:w-56 w-full ">
                        <div class="bg-white border-2 rounded-lg overflow-hidden shadow ">
                            <div class="w-full bg-gray-600 h-32 overflow-hidden relative ">
                                <p class="text-white font-semibold absolute z-20 inset-0 flex items-center justify-center ">
                                    <?php echo e($group_deporte['deporte']['name']); ?></p>
                                <img src="<?php echo e(asset('deportes/' . $group_deporte['deporte']['image'])); ?>" alt=""
                                    class="object-cover w-full h-full z-10 opacity-40 ">
                            </div>
                            <div class="p-2 text-sm ">
                                <p><span class="font-semibold text-gray-700 ">Inscritos:</span>
                                    <span><?php echo e($group_deporte['num_inscritos']); ?></span>
                                </p>
                                <p><span class="font-semibold text-gray-700 ">Cantidad max:</span>
                                    <span><?php echo e($group_deporte['deporte']['num_max_players']); ?></span>
                                </p>
                                <p><span class="font-semibold text-gray-700 ">Fecha limite:</span>
                                    <span><?php echo e(\Carbon\Carbon::parse($group_deporte['deporte']->fecha_limite)->locale('es')->formatLocalized('%e de %B')); ?></span>
                                </p>

                                <div class="flex mt-2 gap-x-2">
                                    <?php if(\Carbon\Carbon::parse($group_deporte['deporte']->fecha_limite)->isPast()): ?>
                                        <a href="<?php echo e(route('reporte.index', ['deporte' => $group_deporte['deporte']])); ?>"
                                            class="cursor-pointer bg-info hover:bg-info-600 text-xs uppercase font-semibold block p-1 py-2 w-full text-center rounded text-white">Reporte</a>
                                    <?php else: ?>
                                        <a href="<?php echo e(route('participante.index', ['rol' => $current_rol, 'deporte' => $group_deporte['deporte']])); ?>"
                                            class="cursor-pointer bg-primary hover:bg-primary-600 text-xs uppercase font-semibold block p-1 py-2 w-1/2 text-center rounded text-white">Inscribir</a>
                                        <a href="<?php echo e(route('reporte.index', ['deporte' => $group_deporte['deporte']])); ?>"
                                            class="cursor-pointer bg-info hover:bg-info-600 text-xs uppercase font-semibold block p-1 py-2 w-1/2 text-center rounded text-white">Reporte</a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Downloads\sistema-inscripcion-deportes\resources\views/user/inscribir.blade.php ENDPATH**/ ?>