<?php $__env->startSection('title'); ?>
    Inicio
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="bg-neutral-200 w-full h-full py-6 md:px-32 sm:px-10">
        <div class="md:p-4 p-2 py-4 bg-neutral-50 border shadow-xl flex flex-col items-center">
            <h2 class="text-2xl font-semibold w-full border-b-2 pb-1 mb-4 border-neutral-200"><?php echo e($deporte['name']); ?></h2>

            <div class="sm:w-3/4 w-full bg-white">
                <?php if($inscritos->count() > 0): ?>
                    <a data-te-ripple-init data-te-ripple-color="light"
                        class="mb-4 ml-auto inline-block rounded bg-danger hover:bg-danger-600 px-6 pb-2 pt-2.5 text-xs font-medium uppercase leading-normal text-white shadow-[0_4px_9px_-4px_#3b71ca] transition duration-150 "
                        href="<?php echo e(route('reporte.pdf', ['deporte' => $deporte])); ?>">
                        Generar PDF
                    </a>
                <?php endif; ?>

                <?php if(session('success')): ?>
                    <p class="bg-green-500 text-white text-sm p-1 text-center my-1">
                        <?php echo e(session('success')); ?>

                    </p>
                <?php endif; ?>

                <?php if($inscritos->count() == 0): ?>
                    <p class="p-4 w-full text-center">No existen inscritos</p>
                <?php else: ?>
                    <table class="w-full mb-10 md:text-sm text-xs">
                        <thead class="bg-neutral-300">
                            <tr>
                                <th class="border-2 p-1 py-2 border-neutral-300">#</th>
                                <th class="border-2 p-1 py-2  border-neutral-300">Apelidos y nombres</th>
                                <th class="border-2 p-1 py-2  border-neutral-300">Código</th>
                                <th class="border-2 p-1 py-2  border-neutral-300">DNI</th>
                                <th class="border-2 p-1 py-2 border-neutral-300">Fecha de inscripción</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $i = 1;
                            ?>
                            <?php $__currentLoopData = $inscritos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inscrito): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td class="border-2 p-1 py-2 border-neutral-300 font-semibold"><?php echo e($i); ?></td>
                                    <td class="border-2 p-1 py-2 border-neutral-300 uppercase">
                                        <?php echo e($inscrito['ap_paterno'] . ' ' . $inscrito['ap_materno'] . ' ' . $inscrito['name']); ?>

                                    </td>
                                    <td class="border-2 p-1 py-2 border-neutral-300 uppercase">
                                        <?php echo e($inscrito['codigo']); ?>

                                    </td>
                                    <td class="border-2 p-1 py-2 border-neutral-300 uppercase">
                                        <?php echo e($inscrito['dni']); ?>

                                    </td>
                                    <td class="border-2 p-1 py-2 border-neutral-300 uppercase">
                                        <?php echo e(\Carbon\Carbon::parse($inscrito['created_at'])->format('d/m/Y')); ?>

                                    </td>
                                </tr>
                                <?php
                                    $i++;
                                ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Documentos\Portfolio\sistema-inscripcion-deportes\resources\views/reporte/index.blade.php ENDPATH**/ ?>